Summary:        Utilities for managing processes on your system
Name:           psmisc
Version:        22.18
Release:        1
License:        GPLv2+
Group:          Monitoring
URL:            http://psmisc.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/psmisc/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  ncurses-devel

%description
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs
of processes that are using specified files or filesystems.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -D_GNU_SOURCE"

%configure2_5x \
        --disable-rpath
%make

%install
%makeinstall_std

%{__mkdir_p} %{buildroot}/sbin
%{__mv} %{buildroot}%{_bindir}/fuser %{buildroot}/sbin

%find_lang %{name} %{name}.lang

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
/sbin/fuser
%{_bindir}/killall
%{_bindir}/prtstat
%{_bindir}/pstree*
%{_mandir}/man1/fuser.1*
%{_mandir}/man1/killall.1*
%{_mandir}/man1/prtstat.1*
%{_mandir}/man1/pstree.1*
%{_bindir}/peekfd
%{_mandir}/man1/peekfd.1*


%changelog
* Tue Jun 19 2012 Alexander Khrukin <akhrukin@mandriva.org> 22.18-1
+ Revision: 806208
- version update 22.18

* Thu Jun 07 2012 Alexander Khrukin <akhrukin@mandriva.org> 22.17-1
+ Revision: 803078
- version update 22.17

* Mon Mar 26 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 22.16-2
+ Revision: 786855
- rebuild to get rid of rpmlib() dep

* Tue Mar 13 2012 Alexander Khrukin <akhrukin@mandriva.org> 22.16-1
+ Revision: 784667
- version update 22.16

* Sun Feb 05 2012 Paulo Andrade <pcpa@mandriva.com.br> 22.15-2
+ Revision: 771230
- Set COMM_LEN to 18 to include brackets in name

* Tue Jan 31 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 22.15-1
+ Revision: 769949
- update to new version 22.15

* Fri Nov 25 2011 Franck Bui <franck.bui@mandriva.com> 22.14-2
+ Revision: 733304
- Fix '-s' option for fuser which can return wrong value in that case

* Mon Sep 12 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 22.14-1
+ Revision: 699499
- update to new version 22.14

* Thu May 05 2011 Oden Eriksson <oeriksson@mandriva.com> 22.13-2
+ Revision: 667895
- mass rebuild

* Mon Sep 27 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 22.13-1mdv2011.0
+ Revision: 581175
- new release: 22.13
-drop peekfd build fix patch (P0, fixed upstream)

* Sun Aug 15 2010 Sandro Cazzaniga <kharec@mandriva.org> 22.12-1mdv2011.0
+ Revision: 570049
- rediff patch
- new version

* Mon May 17 2010 Eugeni Dodonov <eugeni@mandriva.com> 22.11-1mdv2010.1
+ Revision: 544961
- Updated to new version 22.11.

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 22.10-1mdv2010.1
+ Revision: 486816
- update to new version 22.10

* Sun Dec 27 2009 Frederik Himpe <fhimpe@mandriva.org> 22.9-1mdv2010.1
+ Revision: 482728
- Fix BuildRequires
- Update to new version 22.9 (new prstat command)
- Let autoreconf create missing files

* Sun Aug 02 2009 Eugeni Dodonov <eugeni@mandriva.com> 22.8-1mdv2010.0
+ Revision: 407500
- Updated to 22.8.

* Sun May 10 2009 Frederik Himpe <fhimpe@mandriva.org> 22.7-1mdv2010.0
+ Revision: 374065
- Update to new version 22.7
- Remove old patches for problems fixed upstream
- Add patch from Arch Linux to fix building of peekfd on x86_64

* Sun Mar 08 2009 Michael Scherer <misc@mandriva.org> 22.6-5mdv2009.1
+ Revision: 352750
- remove  patch0, as it was nullified by patch3, and was not working
- disable peekfd on x86_64 as it doesn't compile and as this requires too
  much code adaptation for me ( since I do not know the register used by peekfd on
  64 bits archs )
- adapt patch from Fedora to make peekfs compile again

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Wed May 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 22.6-3mdv2009.0
+ Revision: 203286
- Patch2: fix overflow in pstree

* Sun Feb 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 22.6-2mdv2008.1
+ Revision: 169862
- new license policy
- do not package COPYING file
- fix building on x86_64 with patch 0
- include peekfd for other architectures

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 10 2007 David Walluck <walluck@mandriva.org> 22.6-1mdv2008.1
+ Revision: 107353
- 22.6

* Sun Jul 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 22.5-2mdv2008.0
+ Revision: 49886
- exclude peekfd and its manpages on non-i586 architectures
- new version
- rediff patch 1
- fix file list
- spec file clean
- Import psmisc

